> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# rocketlane-collaboration

> Rocketlane Collaboration - Manage conversations, comments, fields, invoices, and users

**Server path:** `/rocketlane-collaboration` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                                      | Description                          |
| ------------------------------------------------------------------------------------------------------------------------- | ------------------------------------ |
| [`rocketlane_collaboration_add_field_option`](#rocketlane_collaboration_add_field_option)                                 | Add field Option                     |
| [`rocketlane_collaboration_add_members_to_conversation`](#rocketlane_collaboration_add_members_to_conversation)           | Add members to the conversation      |
| [`rocketlane_collaboration_create_comment`](#rocketlane_collaboration_create_comment)                                     | Create a comment                     |
| [`rocketlane_collaboration_create_conversation`](#rocketlane_collaboration_create_conversation)                           | Creates conversation                 |
| [`rocketlane_collaboration_create_field`](#rocketlane_collaboration_create_field)                                         | Create a Field                       |
| [`rocketlane_collaboration_delete_comment`](#rocketlane_collaboration_delete_comment)                                     | Delete comment                       |
| [`rocketlane_collaboration_delete_conversation`](#rocketlane_collaboration_delete_conversation)                           | Delete conversation                  |
| [`rocketlane_collaboration_delete_field`](#rocketlane_collaboration_delete_field)                                         | Delete field by Id                   |
| [`rocketlane_collaboration_get_all_conversations`](#rocketlane_collaboration_get_all_conversations)                       | Get all conversations                |
| [`rocketlane_collaboration_get_all_fields`](#rocketlane_collaboration_get_all_fields)                                     | Get all fields                       |
| [`rocketlane_collaboration_get_all_users`](#rocketlane_collaboration_get_all_users)                                       | Get all users                        |
| [`rocketlane_collaboration_get_comment`](#rocketlane_collaboration_get_comment)                                           | Get comment                          |
| [`rocketlane_collaboration_get_comments`](#rocketlane_collaboration_get_comments)                                         | Get all comments                     |
| [`rocketlane_collaboration_get_conversation`](#rocketlane_collaboration_get_conversation)                                 | Get conversation                     |
| [`rocketlane_collaboration_get_field`](#rocketlane_collaboration_get_field)                                               | Get field by Id                      |
| [`rocketlane_collaboration_get_invoice`](#rocketlane_collaboration_get_invoice)                                           | Get invoice by Id                    |
| [`rocketlane_collaboration_get_invoice_line_items`](#rocketlane_collaboration_get_invoice_line_items)                     | Get invoice line items by invoice Id |
| [`rocketlane_collaboration_get_invoice_payments`](#rocketlane_collaboration_get_invoice_payments)                         | Get invoice payments by invoice Id   |
| [`rocketlane_collaboration_get_user`](#rocketlane_collaboration_get_user)                                                 | Get user by Id                       |
| [`rocketlane_collaboration_remove_members_from_conversation`](#rocketlane_collaboration_remove_members_from_conversation) | Remove members to the conversation   |
| [`rocketlane_collaboration_search_invoices`](#rocketlane_collaboration_search_invoices)                                   | Get all invoices                     |
| [`rocketlane_collaboration_update_comment`](#rocketlane_collaboration_update_comment)                                     | Update comment                       |
| [`rocketlane_collaboration_update_conversation`](#rocketlane_collaboration_update_conversation)                           | Update conversation                  |
| [`rocketlane_collaboration_update_field`](#rocketlane_collaboration_update_field)                                         | Update field by Id                   |
| [`rocketlane_collaboration_update_field_option`](#rocketlane_collaboration_update_field_option)                           | Update field Option                  |

***

## rocketlane\_collaboration\_add\_field\_option

Add field Option

**Parameters:**

| Parameter     | Type    | Required | Default | Description                                                                                        |
| ------------- | ------- | -------- | ------- | -------------------------------------------------------------------------------------------------- |
| `fieldId`     | integer | Yes      | —       | The field's unique, system-generated identifier, which can be used to identify the field globally. |
| `optionColor` | string  | Yes      | —       | The optionColor reflects the color of the options for the single or multiple choice field.         |
| `optionLabel` | string  | Yes      | —       | The optionLabel reflects the name of the options for the single or multiple choice field.          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "fieldId": {
        "type": "integer",
        "description": "The field's unique, system-generated identifier, which can be used to identify the field globally."
      },
      "optionColor": {
        "type": "string",
        "description": "The optionColor reflects the color of the options for the single or multiple choice field.",
        "enum": [
          "RED",
          "YELLOW",
          "GREEN",
          "TEAL",
          "CYAN",
          "BLUE",
          "PURPLE",
          "MAGENTA",
          "GRAY",
          "COOL_GRAY"
        ]
      },
      "optionLabel": {
        "type": "string",
        "description": "The optionLabel reflects the name of the options for the single or multiple choice field."
      }
    },
    "required": [
      "PCID",
      "fieldId",
      "optionColor",
      "optionLabel"
    ]
  }
  ```
</Expandable>

***

## rocketlane\_collaboration\_add\_members\_to\_conversation

Add members to the conversation

**Parameters:**

| Parameter          | Type      | Required | Default | Description                                                                                                                                                                                   |
| ------------------ | --------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `conversationId`   | integer   | Yes      | —       | The ID of the conversation object                                                                                                                                                             |
| `includeFields`    | string\[] | No       | —       | Use this query parameter to opt in for fields to be returned in the response body. Use comma separated values to fetch the respective fields. If left blank, default properties are returned. |
| `includeAllFields` | boolean   | No       | —       | This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.                        |
| `body`             | object\[] | Yes      | —       | Request body                                                                                                                                                                                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "conversationId": {
        "type": "integer",
        "description": "The ID of the conversation object"
      },
      "includeFields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "members"
          ]
        },
        "description": "Use this query parameter to opt in for fields to be returned in the response body. Use comma separated values to fetch the respective fields. If left blank, default properties are returned."
      },
      "includeAllFields": {
        "type": "boolean",
        "description": "This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned."
      },
      "body": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "emailId": {
              "type": "string",
              "description": "Email ID"
            },
            "userId": {
              "type": "integer",
              "format": "int64",
              "description": "User ID"
            },
            "firstName": {
              "type": "string",
              "description": "First name"
            },
            "lastName": {
              "type": "string",
              "description": "Last name"
            }
          }
        },
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "conversationId",
      "body"
    ]
  }
  ```
</Expandable>

***

## rocketlane\_collaboration\_create\_comment

Create a comment

**Parameters:**

| Parameter       | Type      | Required | Default | Description                                     |
| --------------- | --------- | -------- | ------- | ----------------------------------------------- |
| `includeFields` | string    | No       | —       | Include Fields                                  |
| `attachments`   | object\[] | No       | —       | List of attachments associated with the comment |
| `content`       | string    | Yes      | —       | Content of the comment                          |
| `private`       | boolean   | No       | —       | The private value                               |
| `source`        | object    | Yes      | —       | Source associated with the comment              |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "includeFields": {
        "type": "string",
        "description": "Include Fields"
      },
      "attachments": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "attachmentId": {
              "type": "integer",
              "format": "int64",
              "description": "Attachment ID"
            },
            "file": {
              "type": "string",
              "format": "binary",
              "description": "The file value"
            }
          },
          "required": [
            "file"
          ]
        },
        "description": "List of attachments associated with the comment"
      },
      "content": {
        "type": "string",
        "description": "Content of the comment"
      },
      "private": {
        "type": "boolean",
        "description": "The private value"
      },
      "source": {
        "type": "object",
        "description": "Source associated with the comment",
        "properties": {
          "sourceId": {
            "type": "integer",
            "description": "Source Id attached to the comment"
          },
          "sourceType": {
            "type": "string",
            "description": "Source Type attached to the comment",
            "enum": [
              "TASK",
              "PROJECT_CONVERSATIONS"
            ]
          }
        },
        "required": [
          "sourceId",
          "sourceType"
        ]
      }
    },
    "required": [
      "PCID",
      "content",
      "source"
    ]
  }
  ```
</Expandable>

***

## rocketlane\_collaboration\_create\_conversation

Creates conversation

**Parameters:**

| Parameter          | Type      | Required | Default | Description                                                                                                                                                                                   |
| ------------------ | --------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `includeFields`    | string\[] | No       | —       | Use this query parameter to opt in for fields to be returned in the response body. Use comma separated values to fetch the respective fields. If left blank, default properties are returned. |
| `includeAllFields` | boolean   | No       | —       | This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.                        |
| `allMembers`       | boolean   | No       | —       | Conversation all members inclusion                                                                                                                                                            |
| `description`      | string    | No       | —       | Conversation description                                                                                                                                                                      |
| `members`          | object\[] | No       | —       | Conversation members                                                                                                                                                                          |
| `name`             | string    | Yes      | —       | Conversation name                                                                                                                                                                             |
| `private`          | boolean   | No       | —       | Conversation privacy                                                                                                                                                                          |
| `source`           | object    | Yes      | —       | Source associated with the conversation                                                                                                                                                       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "includeFields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "members"
          ]
        },
        "description": "Use this query parameter to opt in for fields to be returned in the response body. Use comma separated values to fetch the respective fields. If left blank, default properties are returned."
      },
      "includeAllFields": {
        "type": "boolean",
        "description": "This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned."
      },
      "allMembers": {
        "type": "boolean",
        "description": "Conversation all members inclusion"
      },
      "description": {
        "type": "string",
        "description": "Conversation description"
      },
      "members": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "emailId": {
              "type": "string",
              "description": "The team members email identifier."
            },
            "userId": {
              "type": "integer",
              "format": "int64",
              "description": "The unique identifier for the user."
            },
            "firstName": {
              "type": "string",
              "description": "The first name of the user."
            },
            "lastName": {
              "type": "string",
              "description": "The last name of the user."
            }
          }
        },
        "description": "Conversation members"
      },
      "name": {
        "type": "string",
        "description": "Conversation name"
      },
      "private": {
        "type": "boolean",
        "description": "Conversation privacy"
      },
      "source": {
        "type": "object",
        "description": "Source associated with the conversation",
        "properties": {
          "sourceId": {
            "type": "integer",
            "description": "Source Id attached to the conversation"
          },
          "sourceType": {
            "type": "string",
            "description": "Source Type attached to the conversation",
            "enum": [
              "PROJECT_CONVERSATION"
            ]
          }
        },
        "required": [
          "sourceId",
          "sourceType"
        ]
      }
    },
    "required": [
      "PCID",
      "name",
      "source"
    ]
  }
  ```
</Expandable>

***

## rocketlane\_collaboration\_create\_field

Create a Field

**Parameters:**

| Parameter          | Type      | Required | Default | Description                                                                                                                                                                                                                                                                    |
| ------------------ | --------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `includeFields`    | string\[] | No       | —       | This query parameter allows you to specify which field properties should be returned in the response body by selecting from the drop down. To get the relevant field properties, use comma separated values. If this field is left blank, the default properties are returned. |
| `includeAllFields` | boolean   | No       | —       | This query parameter allows you to specify if all the field properties should be returned in the response body. If the field is left blank, the default field properties are returned.                                                                                         |
| `enabled`          | boolean   | No       | —       | This depicts if the field is enabled or not. Only those fields which are enabled will reflect in the account.                                                                                                                                                                  |
| `fieldDescription` | string    | No       | —       | The description of the field.                                                                                                                                                                                                                                                  |
| `fieldId`          | integer   | No       | —       | The field's unique, system-generated identifier, which can be used to identify the field globally.                                                                                                                                                                             |
| `fieldLabel`       | string    | Yes      | —       | The fieldLabel is the name of the field.                                                                                                                                                                                                                                       |
| `fieldOptions`     | object\[] | No       | —       | The fieldOptions params define the value and label for the different options available for `SINGLE_CHOICE` and `MULTIPLE_CHOICE` fields.                                                                                                                                       |
| `fieldType`        | string    | Yes      | —       | This defines type of the field. Refer [Custom Fields](https://developer.rocketlane.com/v1.0/docs/custom-fields) for further information                                                                                                                                        |
| `objectType`       | string    | Yes      | —       | This defines type of object that is associated with the field. This could be `TASK`, `PROJECT` or `USER`.                                                                                                                                                                      |
| `private`          | boolean   | No       | —       | This depicts if the field is private or not.                                                                                                                                                                                                                                   |
| `ratingScale`      | string    | No       | —       | The number of stars in the Rating Scale when Field Type is `RATING`.                                                                                                                                                                                                           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "includeFields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "options"
          ]
        },
        "description": "This query parameter allows you to specify which field properties should be returned in the response body by selecting from the drop down. To get the relevant field properties, use comma separated values. If this field is left blank, the default properties are returned."
      },
      "includeAllFields": {
        "type": "boolean",
        "description": "This query parameter allows you to specify if all the field properties should be returned in the response body. If the field is left blank, the default field properties are returned."
      },
      "enabled": {
        "type": "boolean",
        "description": "This depicts if the field is enabled or not. Only those fields which are enabled will reflect in the account."
      },
      "fieldDescription": {
        "type": "string",
        "description": "The description of the field."
      },
      "fieldId": {
        "type": "integer",
        "description": "The field's unique, system-generated identifier, which can be used to identify the field globally."
      },
      "fieldLabel": {
        "type": "string",
        "description": "The fieldLabel is the name of the field."
      },
      "fieldOptions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "optionColor": {
              "type": "string",
              "enum": [
                "RED",
                "YELLOW",
                "GREEN",
                "TEAL",
                "CYAN",
                "BLUE",
                "PURPLE",
                "MAGENTA",
                "GRAY",
                "COOL_GRAY"
              ],
              "description": "The optionColor reflects the color of the options for the single or multiple choice field."
            },
            "optionLabel": {
              "type": "string",
              "description": "The optionLabel reflects the name of the options for the single or multiple choice field."
            }
          },
          "required": [
            "optionColor",
            "optionLabel"
          ]
        },
        "description": "The fieldOptions params define the value and label for the different options available for `SINGLE_CHOICE` and `MULTIPLE_CHOICE` fields."
      },
      "fieldType": {
        "type": "string",
        "description": "This defines type of the field. Refer [Custom Fields](https://developer.rocketlane.com/v1.0/docs/custom-fields) for further information",
        "enum": [
          "TEXT",
          "MULTI_LINE_TEXT",
          "YES_OR_NO",
          "DATE",
          "SINGLE_CHOICE",
          "MULTIPLE_CHOICE",
          "SINGLE_USER",
          "MULTIPLE_USER",
          "NUMBER",
          "NOTE",
          "RATING"
        ]
      },
      "objectType": {
        "type": "string",
        "description": "This defines type of object that is associated with the field. This could be `TASK`, `PROJECT` or `USER`.",
        "enum": [
          "PROJECT",
          "TASK",
          "USER"
        ]
      },
      "private": {
        "type": "boolean",
        "description": "This depicts if the field is private or not."
      },
      "ratingScale": {
        "type": "string",
        "description": "The number of stars in the Rating Scale when Field Type is `RATING`.",
        "enum": [
          "THREE",
          "FIVE",
          "SEVEN",
          "TEN"
        ]
      }
    },
    "required": [
      "PCID",
      "fieldLabel",
      "fieldType",
      "objectType"
    ]
  }
  ```
</Expandable>

***

## rocketlane\_collaboration\_delete\_comment

Delete comment

**Parameters:**

| Parameter   | Type    | Required | Default | Description                  |
| ----------- | ------- | -------- | ------- | ---------------------------- |
| `commentId` | integer | Yes      | —       | The ID of the message object |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "commentId": {
        "type": "integer",
        "description": "The ID of the message object"
      }
    },
    "required": [
      "PCID",
      "commentId"
    ]
  }
  ```
</Expandable>

***

## rocketlane\_collaboration\_delete\_conversation

Delete conversation

**Parameters:**

| Parameter        | Type    | Required | Default | Description                       |
| ---------------- | ------- | -------- | ------- | --------------------------------- |
| `conversationId` | integer | Yes      | —       | The ID of the conversation object |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "conversationId": {
        "type": "integer",
        "description": "The ID of the conversation object"
      }
    },
    "required": [
      "PCID",
      "conversationId"
    ]
  }
  ```
</Expandable>

***

## rocketlane\_collaboration\_delete\_field

Delete field by Id

**Parameters:**

| Parameter | Type    | Required | Default | Description                                                                                        |
| --------- | ------- | -------- | ------- | -------------------------------------------------------------------------------------------------- |
| `fieldId` | integer | Yes      | —       | The field's unique, system-generated identifier, which can be used to identify the field globally. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "fieldId": {
        "type": "integer",
        "description": "The field's unique, system-generated identifier, which can be used to identify the field globally."
      }
    },
    "required": [
      "PCID",
      "fieldId"
    ]
  }
  ```
</Expandable>

***

## rocketlane\_collaboration\_get\_all\_conversations

Get all conversations

**Parameters:**

| Parameter             | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                         |
| --------------------- | --------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `pageSize`            | number    | No       | —       | This parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100. |
| `pageToken`           | string    | No       | —       | Use this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created.                                                                     |
| `includeFields`       | string\[] | No       | —       | Use this query parameter to opt in for fields to be returned in the response body. Use comma separated values to fetch the respective fields. If left blank, default properties are returned.                                                                                                       |
| `includeAllFields`    | boolean   | No       | —       | This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.                                                                                                                              |
| `sourceId.eq`         | number    | No       | —       | Filter conversations by source ID (exact match).                                                                                                                                                                                                                                                    |
| `conversationName.eq` | string    | No       | —       | Filter by conversation name                                                                                                                                                                                                                                                                         |
| `conversationName.cn` | string    | No       | —       | You can use this param to specify some Conversation name and the responses will contain matches of conversation that match the given name.                                                                                                                                                          |
| `conversationName.nc` | string    | No       | —       | You can use this param to specify some Conversation name and the responses will not contain matches of conversation that match the given name.                                                                                                                                                      |
| `isPrivate.eq`        | boolean   | No       | —       | Filter by private conversations                                                                                                                                                                                                                                                                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "pageSize": {
        "type": "number",
        "description": "This parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100."
      },
      "pageToken": {
        "type": "string",
        "description": "Use this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created."
      },
      "includeFields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "members"
          ]
        },
        "description": "Use this query parameter to opt in for fields to be returned in the response body. Use comma separated values to fetch the respective fields. If left blank, default properties are returned."
      },
      "includeAllFields": {
        "type": "boolean",
        "description": "This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned."
      },
      "sourceId.eq": {
        "type": "number",
        "description": "Filter conversations by source ID (exact match)."
      },
      "conversationName.eq": {
        "type": "string",
        "description": "Filter by conversation name"
      },
      "conversationName.cn": {
        "type": "string",
        "description": "You can use this param to specify some Conversation name and the responses will contain matches of conversation that match the given name."
      },
      "conversationName.nc": {
        "type": "string",
        "description": "You can use this param to specify some Conversation name and the responses will not contain matches of conversation that match the given name."
      },
      "isPrivate.eq": {
        "type": "boolean",
        "description": "Filter by private conversations"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## rocketlane\_collaboration\_get\_all\_fields

Get all fields

**Parameters:**

| Parameter          | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                         |
| ------------------ | --------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `pageSize`         | number    | No       | —       | This parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100. |
| `pageToken`        | string    | No       | —       | Use this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created.                                                                     |
| `includeFields`    | string\[] | No       | —       | This query parameter allows you to specify which field properties should be returned in the response body by selecting from the drop down. To get the relevant field properties, use comma separated values. If this field is left blank, the default properties are returned.                      |
| `includeAllFields` | boolean   | No       | —       | This query parameter allows you to specify if all the field properties should be returned in the response body. If the field is left blank, the default field properties are returned.                                                                                                              |
| `sortBy`           | string    | No       | —       | You can use the sortBy param to sort the responses by the given field.                                                                                                                                                                                                                              |
| `sortOrder`        | string    | No       | —       | The sortOrder param can be used to specify the sorting order, which can be Ascending (ASC) or Descending (DESC). Descending is the default option.                                                                                                                                                  |
| `match`            | string    | No       | —       | You can use the match param to specify if we need to filter the entries using either AND(all) / OR(any). Defaults to AND.                                                                                                                                                                           |
| `createdAt.gt`     | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain fields whose date are greater than the given fields created date.                                                                                                                                             |
| `createdAt.eq`     | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain exact matches of fields that match the given fields created date.                                                                                                                                             |
| `createdAt.lt`     | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain fields whose date are less than the given fields created date.                                                                                                                                                |
| `createdAt.ge`     | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain fields whose date are greater than or equal to the given fields created date.                                                                                                                                 |
| `createdAt.le`     | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain fields whose date are less than or equal to the given fields created date.                                                                                                                                    |
| `updatedAt.gt`     | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain fields whose date are greater than the given fields updated date.                                                                                                                                             |
| `updatedAt.eq`     | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain exact matches of fields that match the given fields updated date.                                                                                                                                             |
| `updatedAt.lt`     | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain fields whose date are less than the given fields updated date.                                                                                                                                                |
| `updatedAt.ge`     | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain fields whose date are greater than or equal to the given fields updated date.                                                                                                                                 |
| `updatedAt.le`     | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain fields whose date are less than or equal to the given fields updated date.                                                                                                                                    |
| `objectType.eq`    | string    | No       | —       | You can use this param to specify a object type for the fields and the responses will contain exact matches of fields that have the given object type.                                                                                                                                              |
| `fieldType.eq`     | string    | No       | —       | You can use this param to specify a field type for the fields and the responses will contain exact matches of fields that have the given field type.                                                                                                                                                |
| `enabled.eq`       | boolean   | No       | —       | You can use this parameter to specify whether responses will contains the enabled or disabled fields.                                                                                                                                                                                               |
| `private.eq`       | boolean   | No       | —       | You can use this parameter to specify whether responses will contains the private or shared fields.                                                                                                                                                                                                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "pageSize": {
        "type": "number",
        "description": "This parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100."
      },
      "pageToken": {
        "type": "string",
        "description": "Use this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created."
      },
      "includeFields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "options"
          ]
        },
        "description": "This query parameter allows you to specify which field properties should be returned in the response body by selecting from the drop down. To get the relevant field properties, use comma separated values. If this field is left blank, the default properties are returned."
      },
      "includeAllFields": {
        "type": "boolean",
        "description": "This query parameter allows you to specify if all the field properties should be returned in the response body. If the field is left blank, the default field properties are returned."
      },
      "sortBy": {
        "type": "string",
        "description": "You can use the sortBy param to sort the responses by the given field.",
        "enum": [
          "fieldLabel"
        ]
      },
      "sortOrder": {
        "type": "string",
        "description": "The sortOrder param can be used to specify the sorting order, which can be Ascending (ASC) or Descending (DESC). Descending is the default option.",
        "enum": [
          "ASC",
          "DESC"
        ]
      },
      "match": {
        "type": "string",
        "description": "You can use the match param to specify if we need to filter the entries using either AND(all) / OR(any). Defaults to AND.",
        "enum": [
          "all",
          "any"
        ]
      },
      "createdAt.gt": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain fields whose date are greater than the given fields created date."
      },
      "createdAt.eq": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain exact matches of fields that match the given fields created date."
      },
      "createdAt.lt": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain fields whose date are less than the given fields created date."
      },
      "createdAt.ge": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain fields whose date are greater than or equal to the given fields created date."
      },
      "createdAt.le": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain fields whose date are less than or equal to the given fields created date."
      },
      "updatedAt.gt": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain fields whose date are greater than the given fields updated date."
      },
      "updatedAt.eq": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain exact matches of fields that match the given fields updated date."
      },
      "updatedAt.lt": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain fields whose date are less than the given fields updated date."
      },
      "updatedAt.ge": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain fields whose date are greater than or equal to the given fields updated date."
      },
      "updatedAt.le": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain fields whose date are less than or equal to the given fields updated date."
      },
      "objectType.eq": {
        "type": "string",
        "description": "You can use this param to specify a object type for the fields and the responses will contain exact matches of fields that have the given object type.",
        "enum": [
          "PROJECT",
          "TASK",
          "USER"
        ]
      },
      "fieldType.eq": {
        "type": "string",
        "description": "You can use this param to specify a field type for the fields and the responses will contain exact matches of fields that have the given field type.",
        "enum": [
          "TEXT",
          "MULTI_LINE_TEXT",
          "YES_OR_NO",
          "DATE",
          "SINGLE_CHOICE",
          "MULTIPLE_CHOICE",
          "SINGLE_USER",
          "MULTIPLE_USER",
          "NUMBER",
          "NOTE",
          "RATING"
        ]
      },
      "enabled.eq": {
        "type": "boolean",
        "description": "You can use this parameter to specify whether responses will contains the enabled or disabled fields."
      },
      "private.eq": {
        "type": "boolean",
        "description": "You can use this parameter to specify whether responses will contains the private or shared fields."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## rocketlane\_collaboration\_get\_all\_users

Get all users

**Parameters:**

| Parameter              | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                         |
| ---------------------- | --------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `pageSize`             | number    | No       | —       | This parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100. |
| `pageToken`            | string    | No       | —       | Use this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created.                                                                     |
| `includeFields`        | string\[] | No       | —       | This query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.                                           |
| `includeAllFields`     | boolean   | No       | —       | This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.                                                                                                                              |
| `sortBy`               | string    | No       | —       | You can use the sortBy param to sort the responses by the given field.                                                                                                                                                                                                                              |
| `sortOrder`            | string    | No       | —       | The sortOrder param can be used to specify the sorting order, which can be Ascending (ASC) or Descending (DESC). Descending is the default option.                                                                                                                                                  |
| `match`                | string    | No       | —       | You can use the match param to specify if we need to filter the entries using either AND(all) / OR(any). Defaults to AND.                                                                                                                                                                           |
| `firstName.eq`         | string    | No       | —       | You can use this param to specify some user first name and the responses will contain exact matches of users that match the given first name.                                                                                                                                                       |
| `firstName.cn`         | string    | No       | —       | You can use this param to specify some user first name and the responses will contain matches of users that match the given first name.                                                                                                                                                             |
| `firstName.nc`         | string    | No       | —       | You can use this param to specify some user first name and the responses will not contain matches of users that match the given first name.                                                                                                                                                         |
| `lastName.eq`          | string    | No       | —       | You can use this param to specify some user last name and the responses will contain exact matches of users that match the given last ame.                                                                                                                                                          |
| `lastName.cn`          | string    | No       | —       | You can use this param to specify some user last name and the responses will contain matches of users that match the given last name.                                                                                                                                                               |
| `lastName.nc`          | string    | No       | —       | You can use this param to specify some user last name and the responses will not contain matches of users that match the given last name.                                                                                                                                                           |
| `email.eq`             | string    | No       | —       | You can use this param to specify some user email id and the responses will contain exact matches of users that match the given email id.                                                                                                                                                           |
| `email.cn`             | string    | No       | —       | You can use this param to specify some user email id and the responses will contain matches of users that match the given email id.                                                                                                                                                                 |
| `email.nc`             | string    | No       | —       | You can use this param to specify some user email id and the responses will not contain matches of users that match the given email id.                                                                                                                                                             |
| `status.eq`            | string\[] | No       | —       | You can use this param to provide a user status  and the responses will contain exact matches of users that match the given status.                                                                                                                                                                 |
| `status.oneOf`         | string\[] | No       | —       | You can use this param to provide user statuses separated by commas and the responses will contain matches of users that match one of the given user status.                                                                                                                                        |
| `status.noneOf`        | string\[] | No       | —       | You can use this param to provide user statuses separated by commas and the responses will contain matches of users that match the none of the given set of user statuses.                                                                                                                          |
| `type.eq`              | string\[] | No       | —       | You can use this param to provide a user type  and the responses will contain exact matches of users that match the given type.                                                                                                                                                                     |
| `type.oneOf`           | string\[] | No       | —       | You can use this param to provide user types separated by commas and the responses will contain matches of users that match the none of the given set of user types.                                                                                                                                |
| `roleId.eq`            | string    | No       | —       | You can use this param to provide a role id and the responses will contain exact matches of users that match the given role id.                                                                                                                                                                     |
| `roleId.oneOf`         | string    | No       | —       | You can use this param to provide role ids separated by commas and the responses will contain matches of users that match one of the given role id.                                                                                                                                                 |
| `roleId.noneOf`        | string    | No       | —       | You can use this param to provide role id separated by commas and the responses will contain matches of users that match the none of the given set of role id.                                                                                                                                      |
| `permissionId.eq`      | string    | No       | —       | You can use this param to provide a permission id and the responses will contain exact matches of users that match the given permission id.                                                                                                                                                         |
| `permissionId.oneOf`   | string    | No       | —       | You can use this param to provide permission ids separated by commas and the responses will contain matches of users that match one of the given set of permission id.                                                                                                                              |
| `permissionId.noneOf`  | string    | No       | —       | You can use this param to provide permission ids separated by commas and the responses will contain matches of users that match the none of the given set of permission id.                                                                                                                         |
| `capacityInMinutes.eq` | number    | No       | —       | You can use this param to specify some value as capacity and the responses will contain exact matches of users that match the given value.                                                                                                                                                          |
| `capacityInMinutes.gt` | number    | No       | —       | You can use this param to specify some value as capacity and the responses will contain exact matches of capacity greater than that of the given value.                                                                                                                                             |
| `capacityInMinutes.ge` | number    | No       | —       | You can use this param to specify some value as capacity and the responses will contain exact matches of capacity greater than or equal to that of the given value.                                                                                                                                 |
| `capacityInMinutes.lt` | number    | No       | —       | You can use this param to specify some value as capacity and the responses will contain exact matches of capacity lesser than that of the given value.                                                                                                                                              |
| `capacityInMinutes.le` | number    | No       | —       | You can use this param to specify some value as capacity and the responses will contain exact matches of capacity lesser than or equal to that of the given value.                                                                                                                                  |
| `createdAt.gt`         | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain users whose date are greater than the given users created date.                                                                                                                                               |
| `createdAt.eq`         | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain exact matches of users that match the given users created date.                                                                                                                                               |
| `createdAt.lt`         | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain users whose date are less than the given users created date.                                                                                                                                                  |
| `createdAt.ge`         | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain users whose date are greater than or equal to the given users created date.                                                                                                                                   |
| `createdAt.le`         | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain users whose date are less than or equal to the given users created date.                                                                                                                                      |
| `updatedAt.gt`         | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain users whose date are greater than the given users updated date.                                                                                                                                               |
| `updatedAt.eq`         | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain exact matches of users that match the given users updated date.                                                                                                                                               |
| `updatedAt.lt`         | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain users whose date are less than the given users updated date.                                                                                                                                                  |
| `updatedAt.ge`         | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain users whose date are greater than or equal to the given users updated date.                                                                                                                                   |
| `updatedAt.le`         | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain users whose date are less than or equal to the given users updated date.                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "pageSize": {
        "type": "number",
        "description": "This parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100."
      },
      "pageToken": {
        "type": "string",
        "description": "Use this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created."
      },
      "includeFields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "role",
            "company",
            "permission",
            "holidayCalendar",
            "capacityInMinutes",
            "profilePictureUrl"
          ]
        },
        "description": "This query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned."
      },
      "includeAllFields": {
        "type": "boolean",
        "description": "This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned."
      },
      "sortBy": {
        "type": "string",
        "description": "You can use the sortBy param to sort the responses by the given field.",
        "enum": [
          "email",
          "firstName",
          "lastName",
          "type",
          "status",
          "capacityInMinutes"
        ]
      },
      "sortOrder": {
        "type": "string",
        "description": "The sortOrder param can be used to specify the sorting order, which can be Ascending (ASC) or Descending (DESC). Descending is the default option.",
        "enum": [
          "ASC",
          "DESC"
        ]
      },
      "match": {
        "type": "string",
        "description": "You can use the match param to specify if we need to filter the entries using either AND(all) / OR(any). Defaults to AND.",
        "enum": [
          "all",
          "any"
        ]
      },
      "firstName.eq": {
        "type": "string",
        "description": "You can use this param to specify some user first name and the responses will contain exact matches of users that match the given first name."
      },
      "firstName.cn": {
        "type": "string",
        "description": "You can use this param to specify some user first name and the responses will contain matches of users that match the given first name."
      },
      "firstName.nc": {
        "type": "string",
        "description": "You can use this param to specify some user first name and the responses will not contain matches of users that match the given first name."
      },
      "lastName.eq": {
        "type": "string",
        "description": "You can use this param to specify some user last name and the responses will contain exact matches of users that match the given last ame."
      },
      "lastName.cn": {
        "type": "string",
        "description": "You can use this param to specify some user last name and the responses will contain matches of users that match the given last name."
      },
      "lastName.nc": {
        "type": "string",
        "description": "You can use this param to specify some user last name and the responses will not contain matches of users that match the given last name."
      },
      "email.eq": {
        "type": "string",
        "description": "You can use this param to specify some user email id and the responses will contain exact matches of users that match the given email id."
      },
      "email.cn": {
        "type": "string",
        "description": "You can use this param to specify some user email id and the responses will contain matches of users that match the given email id."
      },
      "email.nc": {
        "type": "string",
        "description": "You can use this param to specify some user email id and the responses will not contain matches of users that match the given email id."
      },
      "status.eq": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "INACTIVE",
            "INVITED",
            "ACTIVE",
            "PASSIVE"
          ]
        },
        "description": "You can use this param to provide a user status  and the responses will contain exact matches of users that match the given status."
      },
      "status.oneOf": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "INACTIVE",
            "INVITED",
            "ACTIVE",
            "PASSIVE"
          ]
        },
        "description": "You can use this param to provide user statuses separated by commas and the responses will contain matches of users that match one of the given user status."
      },
      "status.noneOf": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "INACTIVE",
            "INVITED",
            "ACTIVE",
            "PASSIVE"
          ]
        },
        "description": "You can use this param to provide user statuses separated by commas and the responses will contain matches of users that match the none of the given set of user statuses."
      },
      "type.eq": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "TEAM_MEMBER",
            "PARTNER",
            "CUSTOMER",
            "EXTERNAL_PARTNER"
          ]
        },
        "description": "You can use this param to provide a user type  and the responses will contain exact matches of users that match the given type."
      },
      "type.oneOf": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "TEAM_MEMBER",
            "PARTNER",
            "CUSTOMER",
            "EXTERNAL_PARTNER"
          ]
        },
        "description": "You can use this param to provide user types separated by commas and the responses will contain matches of users that match the none of the given set of user types."
      },
      "roleId.eq": {
        "type": "string",
        "description": "You can use this param to provide a role id and the responses will contain exact matches of users that match the given role id."
      },
      "roleId.oneOf": {
        "type": "string",
        "description": "You can use this param to provide role ids separated by commas and the responses will contain matches of users that match one of the given role id."
      },
      "roleId.noneOf": {
        "type": "string",
        "description": "You can use this param to provide role id separated by commas and the responses will contain matches of users that match the none of the given set of role id."
      },
      "permissionId.eq": {
        "type": "string",
        "description": "You can use this param to provide a permission id and the responses will contain exact matches of users that match the given permission id."
      },
      "permissionId.oneOf": {
        "type": "string",
        "description": "You can use this param to provide permission ids separated by commas and the responses will contain matches of users that match one of the given set of permission id."
      },
      "permissionId.noneOf": {
        "type": "string",
        "description": "You can use this param to provide permission ids separated by commas and the responses will contain matches of users that match the none of the given set of permission id."
      },
      "capacityInMinutes.eq": {
        "type": "number",
        "description": "You can use this param to specify some value as capacity and the responses will contain exact matches of users that match the given value."
      },
      "capacityInMinutes.gt": {
        "type": "number",
        "description": "You can use this param to specify some value as capacity and the responses will contain exact matches of capacity greater than that of the given value."
      },
      "capacityInMinutes.ge": {
        "type": "number",
        "description": "You can use this param to specify some value as capacity and the responses will contain exact matches of capacity greater than or equal to that of the given value."
      },
      "capacityInMinutes.lt": {
        "type": "number",
        "description": "You can use this param to specify some value as capacity and the responses will contain exact matches of capacity lesser than that of the given value."
      },
      "capacityInMinutes.le": {
        "type": "number",
        "description": "You can use this param to specify some value as capacity and the responses will contain exact matches of capacity lesser than or equal to that of the given value."
      },
      "createdAt.gt": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain users whose date are greater than the given users created date."
      },
      "createdAt.eq": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain exact matches of users that match the given users created date."
      },
      "createdAt.lt": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain users whose date are less than the given users created date."
      },
      "createdAt.ge": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain users whose date are greater than or equal to the given users created date."
      },
      "createdAt.le": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain users whose date are less than or equal to the given users created date."
      },
      "updatedAt.gt": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain users whose date are greater than the given users updated date."
      },
      "updatedAt.eq": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain exact matches of users that match the given users updated date."
      },
      "updatedAt.lt": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain users whose date are less than the given users updated date."
      },
      "updatedAt.ge": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain users whose date are greater than or equal to the given users updated date."
      },
      "updatedAt.le": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain users whose date are less than or equal to the given users updated date."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## rocketlane\_collaboration\_get\_comment

Get comment

**Parameters:**

| Parameter          | Type      | Required | Default | Description                                                                                                                                                                                                                                               |
| ------------------ | --------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `commentId`        | integer   | Yes      | —       | The ID of the comment object                                                                                                                                                                                                                              |
| `includeFields`    | string\[] | No       | —       | This query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned. |
| `includeAllFields` | boolean   | No       | —       | This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "commentId": {
        "type": "integer",
        "description": "The ID of the comment object"
      },
      "includeFields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "attachments"
          ]
        },
        "description": "This query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned."
      },
      "includeAllFields": {
        "type": "boolean",
        "description": "This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned."
      }
    },
    "required": [
      "PCID",
      "commentId"
    ]
  }
  ```
</Expandable>

***

## rocketlane\_collaboration\_get\_comments

Get all comments

**Parameters:**

| Parameter          | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                         |
| ------------------ | --------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `sourceType`       | string    | No       | —       | Filter comments by source type.                                                                                                                                                                                                                                                                     |
| `pageSize`         | number    | No       | —       | This parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100. |
| `pageToken`        | string    | No       | —       | Use this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created.                                                                     |
| `includeAllFields` | boolean   | No       | —       | This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.                                                                                                                              |
| `sortOrder`        | string    | No       | —       | The sortOrder param can be used to specify the sorting order, which can be Ascending (ASC) or Descending (DESC). Descending is the default option.                                                                                                                                                  |
| `match`            | string    | No       | —       | You can use the match param to specify if we need to filter the entries using either AND(all) / OR(any). Defaults to AND.                                                                                                                                                                           |
| `createdBy.eq`     | number    | No       | —       | You can use this param to specify the team member who created the comment in the conversation, and the responses will contain comment conversations that match the creator.                                                                                                                         |
| `createdAt.gt`     | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain comment conversations where the created date of the comment is greater than the given date.                                                                                                                   |
| `createdAt.eq`     | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain comment conversations that match the exact created date of the comment.                                                                                                                                       |
| `createdAt.lt`     | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain comment conversations where the created date of the comment is less than the given date.                                                                                                                      |
| `createdAt.ge`     | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain comment conversations where the created date of the comment is greater than or equal to the given date.                                                                                                       |
| `createdAt.le`     | integer   | No       | —       | You can use this param to provide an epoch milli value and the responses will contain comment conversations where the created date of the comment is less than or equal to the given date.                                                                                                          |
| `includeFields`    | string\[] | No       | —       | Use this query parameter to opt in for fields to be returned in the response body. Use comma separated values to fetch the respective fields. If left blank, default properties are returned.                                                                                                       |
| `isPrivate.eq`     | boolean   | No       | —       | Filter by private conversations                                                                                                                                                                                                                                                                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "sourceType": {
        "type": "string",
        "description": "Filter comments by source type.",
        "enum": [
          "TASK",
          "PROJECT_CONVERSATIONS"
        ]
      },
      "pageSize": {
        "type": "number",
        "description": "This parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100."
      },
      "pageToken": {
        "type": "string",
        "description": "Use this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created."
      },
      "includeAllFields": {
        "type": "boolean",
        "description": "This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned."
      },
      "sortOrder": {
        "type": "string",
        "description": "The sortOrder param can be used to specify the sorting order, which can be Ascending (ASC) or Descending (DESC). Descending is the default option.",
        "enum": [
          "ASC",
          "DESC"
        ]
      },
      "match": {
        "type": "string",
        "description": "You can use the match param to specify if we need to filter the entries using either AND(all) / OR(any). Defaults to AND.",
        "enum": [
          "all",
          "any"
        ]
      },
      "createdBy.eq": {
        "type": "number",
        "description": "You can use this param to specify the team member who created the comment in the conversation, and the responses will contain comment conversations that match the creator."
      },
      "createdAt.gt": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain comment conversations where the created date of the comment is greater than the given date."
      },
      "createdAt.eq": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain comment conversations that match the exact created date of the comment."
      },
      "createdAt.lt": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain comment conversations where the created date of the comment is less than the given date."
      },
      "createdAt.ge": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain comment conversations where the created date of the comment is greater than or equal to the given date."
      },
      "createdAt.le": {
        "type": "integer",
        "description": "You can use this param to provide an epoch milli value and the responses will contain comment conversations where the created date of the comment is less than or equal to the given date."
      },
      "includeFields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "attachments"
          ]
        },
        "description": "Use this query parameter to opt in for fields to be returned in the response body. Use comma separated values to fetch the respective fields. If left blank, default properties are returned."
      },
      "isPrivate.eq": {
        "type": "boolean",
        "description": "Filter by private conversations"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## rocketlane\_collaboration\_get\_conversation

Get conversation

**Parameters:**

| Parameter          | Type      | Required | Default | Description                                                                                                                                                                                                                                               |
| ------------------ | --------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `conversationId`   | integer   | Yes      | —       | The ID of the conversation object                                                                                                                                                                                                                         |
| `includeFields`    | string\[] | No       | —       | This query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned. |
| `includeAllFields` | boolean   | No       | —       | This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "conversationId": {
        "type": "integer",
        "description": "The ID of the conversation object"
      },
      "includeFields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "members"
          ]
        },
        "description": "This query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned."
      },
      "includeAllFields": {
        "type": "boolean",
        "description": "This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned."
      }
    },
    "required": [
      "PCID",
      "conversationId"
    ]
  }
  ```
</Expandable>

***

## rocketlane\_collaboration\_get\_field

Get field by Id

**Parameters:**

| Parameter          | Type      | Required | Default | Description                                                                                                                                                                                                                                                                    |
| ------------------ | --------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `fieldId`          | integer   | Yes      | —       | The field's unique, system-generated identifier, which can be used to identify the field globally.                                                                                                                                                                             |
| `includeFields`    | string\[] | No       | —       | This query parameter allows you to specify which field properties should be returned in the response body by selecting from the drop down. To get the relevant field properties, use comma separated values. If this field is left blank, the default properties are returned. |
| `includeAllFields` | boolean   | No       | —       | This query parameter allows you to specify if all the field properties should be returned in the response body. If the field is left blank, the default field properties are returned.                                                                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "fieldId": {
        "type": "integer",
        "description": "The field's unique, system-generated identifier, which can be used to identify the field globally."
      },
      "includeFields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "options"
          ]
        },
        "description": "This query parameter allows you to specify which field properties should be returned in the response body by selecting from the drop down. To get the relevant field properties, use comma separated values. If this field is left blank, the default properties are returned."
      },
      "includeAllFields": {
        "type": "boolean",
        "description": "This query parameter allows you to specify if all the field properties should be returned in the response body. If the field is left blank, the default field properties are returned."
      }
    },
    "required": [
      "PCID",
      "fieldId"
    ]
  }
  ```
</Expandable>

***

## rocketlane\_collaboration\_get\_invoice

Get invoice by Id

**Parameters:**

| Parameter          | Type      | Required | Default | Description                                                                                                                                                                                                                                               |
| ------------------ | --------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `invoiceId`        | integer   | Yes      | —       | Unique identifier of the invoice                                                                                                                                                                                                                          |
| `includeFields`    | string\[] | No       | —       | This query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned. |
| `includeAllFields` | boolean   | No       | —       | This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "invoiceId": {
        "type": "integer",
        "description": "Unique identifier of the invoice"
      },
      "includeFields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "notes",
            "attachments"
          ]
        },
        "description": "This query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned."
      },
      "includeAllFields": {
        "type": "boolean",
        "description": "This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned."
      }
    },
    "required": [
      "PCID",
      "invoiceId"
    ]
  }
  ```
</Expandable>

***

## rocketlane\_collaboration\_get\_invoice\_line\_items

Get invoice line items by invoice Id

**Parameters:**

| Parameter   | Type    | Required | Default | Description                                                                                                                                                                                                                                                                                         |
| ----------- | ------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `invoiceId` | integer | Yes      | —       | Unique identifier of the invoice                                                                                                                                                                                                                                                                    |
| `pageSize`  | number  | No       | —       | This parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100. |
| `pageToken` | string  | No       | —       | Use this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created.                                                                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
[...]
